Method: enterprises.devices.patch | Android Management API | Google for Developers (original) (raw)
- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Updates a device.
HTTP request
PATCH https://androidmanagement.googleapis.com/v1/{name=enterprises/*/devices/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
| name | string The name of the device in the form enterprises/{enterpriseId}/devices/{deviceId}. |
Query parameters
| Parameters | |
|---|---|
| updateMask | string (FieldMask format) The field mask indicating the fields to update. If not set, all modifiable fields will be modified.This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo". |
Request body
The request body contains an instance of [Device](/android/management/reference/rest/v1/enterprises.devices#Device).
Response body
If successful, the response body contains an instance of [Device](/android/management/reference/rest/v1/enterprises.devices#Device).
Requires the following OAuth scope:
https://www.googleapis.com/auth/androidmanagement
For more information, see the OAuth 2.0 Overview.